Monitoring
List monitor events
List content changes detected by a monitor.
GET
/
v1
/
api
/
monitors
/
{id}
/
events
List detected changes
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors/{id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": {
"addedLines": [
"<string>"
],
"removedLines": [
"<string>"
],
"addedCount": 123,
"removedCount": 123
},
"detectedAt": "2023-11-07T05:31:56Z",
"previousTitle": "<string>",
"currentTitle": "<string>",
"previousHash": "<string>",
"currentHash": "<string>"
}
]
}{
"error": "unauthorized",
"message": "<string>"
}Was this page helpful?
⌘I
List detected changes
curl --request GET \
--url https://api.pagepith.com/v1/api/monitors/{id}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pagepith.com/v1/api/monitors/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pagepith.com/v1/api/monitors/{id}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"events": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"summary": {
"addedLines": [
"<string>"
],
"removedLines": [
"<string>"
],
"addedCount": 123,
"removedCount": 123
},
"detectedAt": "2023-11-07T05:31:56Z",
"previousTitle": "<string>",
"currentTitle": "<string>",
"previousHash": "<string>",
"currentHash": "<string>"
}
]
}{
"error": "unauthorized",
"message": "<string>"
}